MirroredTypesException (Java SE 23 & JDK 23)
Description: declaration: module: java.compiler, package: javax.lang.model.type, class: MirroredTypesException
Keywords: javax.lang.model.type.MirroredTypesException class

# Class MirroredTypesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.lang.model.type.MirroredTypesException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MirroredTypeException`

public class MirroredTypesException extends RuntimeException
Thrown when an application attempts to access a sequence of `Class` objects each corresponding to a `TypeMirror`.

Since:
  1.6
See Also:
  - `MirroredTypeException`
  - `Element.getAnnotation(Class)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MirroredTypesException(List<? extends TypeMirror> types)`
  Constructs a new MirroredTypesException for the specified types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends TypeMirror>`
  `getTypeMirrors()`
  Returns the type mirrors corresponding to the types being accessed.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MirroredTypesException

    public MirroredTypesException(List<? extends TypeMirror> types)
    Constructs a new MirroredTypesException for the specified types.
    Parameters:
      `types` - the types being accessed

- ## Method Details

  - ### getTypeMirrors

    public List<? extends TypeMirror> getTypeMirrors()
    Returns the type mirrors corresponding to the types being accessed. The type mirrors may be unavailable if this exception has been serialized and then read back in.
    Returns:
      the type mirrors in construction order, or `null` if unavailable